freemarker.template.utility

## Interface DateUtil.DateToISO8601CalendarFactory

All Known Implementing Classes:
  DateUtil.TrivialDateToISO8601CalendarFactory

Enclosing class:
  DateUtil

    public static interface DateUtil.DateToISO8601CalendarFactory

Used internally by `DateUtil`; don't use its implementations for anything else.

### Method Summary

All Methods Instance Methods Abstract Methods
`GregorianCalendar` `get(TimeZone tz, Date date)` Returns a `GregorianCalendar` with the desired time zone and time and US locale.

### Method Detail

#### get

    GregorianCalendar get(TimeZone tz,
                          Date date)

Returns a `GregorianCalendar` with the desired time zone and time and US locale. The returned calendar is used as read-only. It must be guaranteed that within a thread the instance returned last time is not in use anymore when this method is called again.